Package org.eclipse.lemminx.settings

## Class XMLPreferences

- java.lang.Object
- - org.eclipse.lemminx.settings.XMLPreferences

    public class XMLPreferences
    extends Object

XML Preferences

### Field Summary

Fields
`static QuoteStyle` `DEFAULT_QUOTE_STYLE`
`static SchemaDocumentationType` `DEFAULT_SCHEMA_DOCUMENTATION_TYPE`

### Constructor Summary

Constructors
`XMLPreferences()`

### Method Summary

All Methods Instance Methods Concrete Methods
`char` `getQuotationAsChar()` Returns the actual quotation value as a char.
`String` `getQuotationAsString()` Returns the actual quotation value as a String.
`QuoteStyle` `getQuoteStyle()` Returns the quote style
`SchemaDocumentationType` `getShowSchemaDocumentationType()` Returns the showSchemaDocumentationType
`void` `merge​(XMLPreferences newPreferences)` Merges the contents of `newPreferences` to the current `XMLPreferences` instance
`void` `setQuoteStyle​(QuoteStyle quoteStyle)` Sets the quote style
`void` `setShowSchemaDocumentationType​(SchemaDocumentationType showSchemaDocumentationType)` Sets the showSchemaDocumentationType

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_QUOTE_STYLE

    public static final QuoteStyle DEFAULT_QUOTE_STYLE

#### DEFAULT_SCHEMA_DOCUMENTATION_TYPE

    public static final SchemaDocumentationType DEFAULT_SCHEMA_DOCUMENTATION_TYPE

### Constructor Detail

#### XMLPreferences

    public XMLPreferences()

### Method Detail

#### getQuotationAsChar

    public char getQuotationAsChar()

Returns the actual quotation value as a char. Either a `'` or `"`. Defaults to `"`.

#### getQuotationAsString

    public String getQuotationAsString()

Returns the actual quotation value as a String. Either a `'` or `"`. Defaults to `"`.

#### setQuoteStyle

    public void setQuoteStyle​(QuoteStyle quoteStyle)

Sets the quote style

Parameters:
  `quoteStyle` -

#### getQuoteStyle

    public QuoteStyle getQuoteStyle()

Returns the quote style

Returns:

#### getShowSchemaDocumentationType

    public SchemaDocumentationType getShowSchemaDocumentationType()

Returns the showSchemaDocumentationType

#### setShowSchemaDocumentationType

    public void setShowSchemaDocumentationType​(SchemaDocumentationType showSchemaDocumentationType)

Sets the showSchemaDocumentationType

Parameters:
  `showSchemaDocumentationType` -

#### merge

    public void merge​(XMLPreferences newPreferences)

Merges the contents of `newPreferences` to the current `XMLPreferences` instance

Parameters:
  `newPreferences` -